"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-x86_64-cpython-311/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x7f0d7733cea0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x7f0d7733cfe0>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7f0d7733cf40>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7f0d7733d080>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x7f0d7733d120>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x7f0d7733d1c0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7f0d7733d260>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f0d7733d300>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f0d7733d3a0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f0d7733d440>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x7f0d7733d4e0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x7f0d7733d580>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x7f0d7733d620>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x7f0d7733d6c0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x7f0d7733d760>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x7f0d7733d800>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x7f0d7733d8a0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x7f0d7733d940>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x7f0d7733d9e0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x7f0d7733da80>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x7f0d7733db20>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x7f0d7733dbc0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x7f0d7733dc60>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x7f0d7733dd00>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x7f0d7733dda0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x7f0d7733de40>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x7f0d7733dee0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x7f0d7733df80>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x7f0d7733e020>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x7f0d7733e0c0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x7f0d7733e160>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x7f0d7733e200>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x7f0d7733e2a0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x7f0d7733e340>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x7f0d7733e3e0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x7f0d7733e480>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x7f0d7733e520>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x7f0d7733e5c0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f0d7733e660>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f0d7733e700>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f0d7733e7a0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x7f0d7733e840>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x7f0d7733e8e0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x7f0d7733e980>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x7f0d7733ea20>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x7f0d7733eac0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x7f0d7733eb60>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7f0d7733ec00>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7f0d7733eca0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x7f0d7733ed40>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x7f0d7733ede0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x7f0d7733ee80>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f0d7733ef20>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x7f0d7733efc0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x7f0d7733f060>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f0d7733f100>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f0d7733f1a0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7f0d7733f240>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x7f0d7733f2e0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x7f0d7733f380>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x7f0d7733f420>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x7f0d7733f4c0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x7f0d7733f560>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f0d7733f600>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x7f0d7733f6a0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x7f0d7733f740>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x7f0d7733f7e0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x7f0d7733f880>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x7f0d7733f920>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7f0d7733f9c0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x7f0d7733fa60>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x7f0d7733fb00>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7f0d7733fba0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x7f0d7733fc40>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x7f0d7733fce0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x7f0d7733fd80>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x7f0d7733fe20>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x7f0d7733fec0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x7f0d7733ff60>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x7f0d7734c0e0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x7f0d7734c040>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x7f0d7734c180>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x7f0d7734c220>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x7f0d7734c2c0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x7f0d7734c360>)]
name: str = 'fr_HOCCN'
